#!/usr/bin/perl -w
# 2006/05/16 - I. Dutour

# compter les codons START

#
# lecture d'un fichier multi-fasta
#

# lecture de la premire description
$lecture = <>;

while ($lecture) {
    # on rcupre le nom de la squence 
    #
    ($nom) = ($lecture =~ /^>(\w+)/);

    # lecture de la squence elle-mme
    #
    $sequence = "";
    while ($lecture = <>) {
        chomp($lecture);
        last
	    if ($lecture =~ /^>/); # on s'arrte  la description suivante
        $sequence .= $lecture;
    }

    # traitement de la squence
    #
    @starts = ($sequence =~ /ATG/g);
    $nbStarts = $#starts + 1;
    @stops = ($sequence =~ /(TAA|TGA|TAG)/g);
    $nbStops = $#stops + 1;
    print "$nom :\n";
    print "\t$nbStarts codons START\n";
    print "\t$nbStops codons STOP\n";
}


###############################################
# Justifiez ici brievement votre algorithme de
# traitement des squences :
# 
# Seulement la partie "Traitement de la squence" est  modifier.
# On peut utiliser l'extraction globale avec expression rgulire SEPAREMENT sur 
# le START et sur les STOP, car ils ne se chevauchent pas entre eux.
# Les mettre dans un tableau et compter leur nombre suffit, pas besoin d'une boucle
# de parcours pour les compter.

